View Issue Details

IDProjectCategoryView StatusLast Update
0022302mantisbtfilterspublic2017-03-22 07:04
ReportermahindraAssigned Tocproensa 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.1.0 
Target Version2.1.1Fixed in Version2.1.1 
Summary0022302: Permalink does not work with tags
Description

Thank you for the great permalink function, we are heavy users of it.

Since Mantis 2.1 (or 2.0?) Permalinks do not work with Tags.

I tried to reproduce this here

e.g. http://www.mantisbt.org/bugs/search.php?sticky=on&sort=priority&dir=DESC&hide_status=-2&tag_string=admincheck&match_type=0

=> Tags are empty and you will get a wrong result.

if you type the filter you will get 0010949 only as result

TagsNo tags attached.

Relationships

related to 0022496 closedcproensa Permalink does not work with "Note By" 

Activities

mahindra

mahindra

2017-02-02 10:39

reporter   ~0055453

Workaround is to save the Filter - but in this way you will get much useless entries in the filters combo

cproensa

cproensa

2017-02-03 03:22

developer   ~0055468

@vboctor, i will have a look.
Permalinks were not modified as part of the 2.1 filter api changes, though.

cproensa

cproensa

2017-02-04 15:58

developer   ~0055490

PR: https://github.com/mantisbt/mantisbt/pull/1019

mahindra

mahindra

2017-02-04 17:34

reporter   ~0055491

Looks very good!
Thank you!

Recommendation for the next release.

Related Changesets

MantisBT: master-2.1 81cf6c5a

2017-02-04 14:35:48

cproensa


Committer: vboctor Details Diff
Add tags to permalink url parse

Permalink url parse did not read parameter for tags.
Previously it worked as a side effect of reading gpc vars at
filter_ensure_valid, which is not done any more.

Fixes: 0022302
mod - search.php Diff File

Issue History

Date Modified Username Field Change
2017-02-02 10:36 mahindra New Issue
2017-02-02 10:39 mahindra Note Added: 0055453
2017-02-03 00:24 vboctor Assigned To => cproensa
2017-02-03 00:24 vboctor Status new => assigned
2017-02-03 03:22 cproensa Note Added: 0055468
2017-02-04 15:58 cproensa Note Added: 0055490
2017-02-04 17:34 mahindra Note Added: 0055491
2017-02-05 11:20 vboctor Changeset attached => MantisBT master-2.1 81cf6c5a
2017-02-05 11:20 vboctor Assigned To cproensa => vboctor
2017-02-05 11:20 vboctor Status assigned => resolved
2017-02-05 11:20 vboctor Resolution open => fixed
2017-02-05 14:49 atrol Assigned To vboctor => cproensa
2017-02-05 14:49 atrol Fixed in Version => 2.1.1
2017-02-05 14:49 atrol Target Version => 2.1.1
2017-02-06 10:07 mahindra Issue cloned: 0022325
2017-02-06 10:07 mahindra Relationship added related to 0022325
2017-02-06 14:41 cproensa Relationship deleted related to 0022325
2017-02-26 21:17 vboctor Status resolved => closed
2017-03-22 07:04 dregad Relationship added related to 0022496